# $Id: checkpassword-pam.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dag

Summary: Provides a simple, uniform password-checking interface using PAM
Name: checkpassword-pam
Version: 0.99
Release: 1.3%{?dist}
License: GPL
Group: System Environment/Base
URL: http://checkpasswd-pam.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/checkpasswd-pam/checkpassword-pam-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: pam-devel >= 0.59

%description
checkpassword-pam provides a simple, uniform password-checking
interface to all root applications using PAM. It is suitable for
use by applications such as login, ftpd, and pop3d.

There are checkpassword-compatible tools that support alternate
password databases, secret login names, long passwords, subaccounts,
one-time passwords, detailed accounting, and many other features.

Applications that use the checkpassword interface will work with all
of these tools. Several tools have been specifically designed to
support POP toasters.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING interface.html NEWS README
%doc %{_mandir}/man8/checkpassword-pam.8*
%{_bindir}/checkpassword-pam

%changelog
* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 18 2016 JP Pialasse <tests@pialasse.com> - 0.99-1.3.sme
- Import to SME Server [SME:9322]

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.99-1.2 - 7981/dag
- Rebuild for Fedora Core 5.

* Wed Sep 22 2004 Dag Wieers <dag@wieers.com> - 0.99-1
- Updated to release 0.99.

* Wed Oct 01 2003 Dag Wieers <dag@wieers.com> - 0.98-0
- Updated to release 0.98.

* Mon Aug 04 2003 Dag Wieers <dag@wieers.com> - 0.97-0
- Updated to release 0.97.

* Sat Jul 12 2003 Dag Wieers <dag@wieers.com> - 0.96-0
- Initial package. (using DAR)
